using System;
using ZR.Model;
using System.Collections.Generic;
using ZR.Model.Dto.InStore;
using ZR.Model.Models.InStore;

namespace ZR.Service.Business.IBusinessService.InStore
{
    /// <summary>
    /// 入库管理/入库记录表service接口
    ///
    /// @author admin
    /// @date 2023-04-13
    /// </summary>
    public interface IInInstoreRecordService : IBaseService<InInstoreRecord>
    {
        PagedInfo<InInstoreRecordDto> GetList(InInstoreRecordQueryDto parm, bool isPdaQuery = false);

        int AddInInstoreRecord(InInstoreRecord parm);

        int UpdateInInstoreRecord(InInstoreRecord parm);

        void TruncateInInstoreRecord();
    }
}
